Bug 1402255 (CVE-2016-9846) - CVE-2016-9846 Qemu: display: virtio-gpu: memory leakage while updating cursor data
Summary: CVE-2016-9846 Qemu: display: virtio-gpu: memory leakage while updating cursor...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-9846
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1402258
Blocks: 1395985
TreeView+ depends on / blocked
 
Reported: 2016-12-07 06:53 UTC by Prasad J Pandit
Modified: 2019-09-29 14:02 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:03:27 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-12-07 06:53:30 UTC
Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to a memory leakage issue. It could occur while updating the cursor
data in update_cursor_data_virgl.

A guest user/process could use this flaw to leak host memory bytes, resulting
in DoS for a host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg00029.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/05/23

Comment 1 Prasad J Pandit 2016-12-07 06:59:01 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1402258]

Comment 3 Cole Robinson 2017-01-16 18:49:55 UTC
commit 2d1cd6c7a91a4beb99a0c3a21be529222a708545
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Tue Nov 1 04:06:58 2016 -0700

    virtio-gpu: fix memory leak in update_cursor_data_virgl


Note You need to log in before you can comment on or make changes to this bug.